#ifndef ACLCTL
#define ACLCTL

#define HRTV ULONG

/* 1 */
/* Initialise the ACL Control Library */
ULONG APIENTRY ACLInitCtl();

/* 2 */
/* Create a new rich text control of the given dimensions */
HRTV APIENTRY ACLCreateRichTextView( HWND Parent,
                             LONG X,
                             LONG Y,
                             LONG Width,
                             LONG Height,
                             ULONG Visible
                             );

/* 3 */
/* Clear the text in the control */
void APIENTRY ACLRTVClearText( HRTV rtv );

/* 4 */
/* Add the given text to the end of the control */
void APIENTRY ACLRTVAddText( HRTV rtv, 
                    	     char* text );

/* 5 */
/* Add the given text as a new paragraph to the control */
/* (ie. append cr+lf as well) */
void APIENTRY ACLRTVAddParagraph( HRTV rtv, 
                                  char* text );

/* 6 */
/* Add the given text as a new paragraph, and select it visibly */
void APIENTRY ACLRTVAddSelectedParagraph( HRTV rtv, 
                                          char* text ); 

#endif
